SDL_OpenGamepad(3)

NAME
SDL_OpenGamepad - Open a gamepad for use.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Gamepad* SDL_OpenGamepad(SDL_JoystickID instance_id);

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns a gamepad identifier or NULL if an error occurred; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CloseGamepad(3), SDL_IsGamepad(3)